Referencia de APIChats / Bot
Update Bot training
← Back to full API reference
PATCH
/v1/bot/trainingAuth required- Validated by Zod schema: patchBotTraining.
Request details
Body fields
| Field | Required | Description |
|---|---|---|
| id | Yes | Type: number |
| botId | Yes | Type: string |
| question | Yes | Type: string |
| content | Yes | Type: string |
| action | No | Type: object |
| action.tool | Yes | Type: string |
| action.args | No | Type: object |
| action.hint | No | Type: string |
| conditions | No | Type: object |
| conditions.validFrom | No | Type: string |
| conditions.validUntil | No | Type: string |
| conditions.channelTypes | No | Type: arrayExample: |
| conditions.channelTypes[] | Yes | z.enum without literal array values |
| conditions.contactTypes | No | Type: arrayExample: |
| conditions.contactTypes[] | Yes | z.enum without literal array values |
| conditions.conversationCategories | No | Type: arrayExample: |
| conditions.conversationCategories[] | Yes | Type: string |
| exactAnswer | No | Type: boolean |
Default payloads
Path params
json
{}Query
json
{}Body
json
{
"id": 1,
"botId": "00000000-0000-0000-0000-000000000000",
"question": "string",
"content": "string"
}Sample response
json
{}